

// 地址相关接口

const api = {
	// 获取地址列表
	getAddressList: {
		url: '/recycle-admin/applet/address/getAddressList',
		method: 'GET', 
		limit : 500,
		showLoading : true,
	},
	// 保存或修改地址
	saveOrUpdateAddress: {
		url: '/recycle-admin/applet/address/saveOrUpdateAddress',
		method: 'POST',
		auth: true,
	},
	// 修改默认地址
	updateDefaultAddress: {
		url: '/recycle-admin/applet/address/updateDefaultAddress',
		method: 'POST',
		auth: true, 
		limit : 500,
		showLoading : true,
	},
	// 获取地址详情
	getAddressInfo: {
		url: '/recycle-admin/applet/address/getAddressInfo',
		method: 'GET',
		auth: true,
	},

	deleteAddress: {
		url: '/recycle-admin/applet/address/deleteAddress',
		method: 'POST',
		auth: true,
	},
	
	getFreeCityList: {
		url: '/recycle-admin/applet/index/getFreeCityList',
		method: 'GET',
		auth: true,
	},
}

export default api