// 首页相关接口

const api = {
	// 获取首页轮播图
	getBanner: {
		url: '/recycle-admin/applet/index/getBanner',
		method: 'GET',
		auth : false,
	},

	getHanHaiMemberUser: {
		url: '/recycle-admin/applet/promotion/getHanHaiMemberUser',
		method: 'GET',
		auth: true,
	},
	// 升级用户为推广官
	upgrade: {
		url: '/recycle-admin/applet/info_team/upgrade',
		method: 'POST',
		auth: true,
	},
	// 拉黑用户
	blackUser: {
		url: '/recycle-admin/applet/info_team/blackUser',
		method: 'POST',
		auth: true,
	},
	// 订单驳回
	rejectOrder: {
		url: '/recycle-admin/applet/info_team_order/rejectOrder',
		method: 'POST',
		auth: true,
	},
	// 订单通过
	passOrder: {
		url: '/recycle-admin/applet/info_team_order/passOrder',
		method: 'POST',
		auth: true,
	},
	// 解除员工
	removeMember: {
		url: '/recycle-admin/applet/member/removeMember',
		method: 'POST',
		auth: true,
	},
	// 查询员工列表
	getMyTeamList: {
		url: '/recycle-admin/applet/member/getMyTeamList',
		method: 'GET',
		auth: true,
	},
	// 查询员工详情
	getMemberInfo: {
		url: '/recycle-admin/applet/member/getMemberInfo',
		method: 'GET',
		auth: true,
	},
	// 拒绝推广官申请
	rejectPromotionApply: {
		url: '/recycle-admin/applet/promotion/rejectPromotionApply',
		method: 'POST',
		auth: true,
	},
	// 同意推广官申请
	passPromotionApply: {
		url: '/recycle-admin/applet/promotion/passPromotionApply',
		method: 'POST',
		auth: true,
	},
	// 获取推广表单申请列表带分页
	getPromotionApplyListPage: {
		url: '/recycle-admin/applet/promotion/getPromotionApplyListPage',
		method: 'GET',
		auth: true,
	},
	// 获取推广员列表
	getPromotionList: {
		url: '/recycle-admin/applet/promotion/getPromotionList',
		method: 'GET',
		auth: true,
	},
	// 修改购物车信息数量
	getUserOrderNum: {
		url: '/recycle-admin/applet/info_team_order/getUserOrderNum',
		method: 'GET',
		auth: true,
	},
	// 获取管理员订单详情
	getOrderDetail: {
		url: '/recycle-admin/applet/info_team_order/getOrderDetail',
		method: 'GET',
		auth: true,
	},
	// 获取管理员订单列表
	getOrderList: {
		url: '/recycle-admin/applet/info_team_order/getOrderList',
		method: 'GET',
		auth: true
	},
	// 创建预约订单
	createOrder: {
		url: '/recycle-admin/applet/order/createOrder',
		method: 'POST',
		auth: true,
	},
	// 流水列表带分页
	getMyMoneyLogPage: {
		url: '/recycle-admin/applet/money/getMyMoneyLogPage',
		method: 'GET',
		auth: true,
	},
	// 确认收货
	apply: {
		url: '/recycle-admin/applet/promotion/apply',
		method: 'POST',
		auth: true,
	},
	// 获取推广官信息
	getMyPromotionInfo: {
		url: '/recycle-admin/applet/promotion/getMyPromotionInfo',
		method: 'GET',
		auth: true,
	},
	// 获取首页广告列表
	getRankList: {
		url: '/recycle-admin/applet/promotion/getRankList',
		method: 'GET',
		auth : true
	},
	// 获取品牌列表
	getGoodsBrandList: {
		url: '/recycle-admin/applet/class/getGoodsBrandList',
		method: 'GET',
		auth : false
	},
	//联系客服页面
	getQuestionList: {
		url: '/recycle-admin/applet/order/getQuestionList',
		method: 'GET',
		auth : false
	},
	//获取用户信息
	getInfoTeamListPage: {
		url: '/recycle-admin/applet/info_team/getInfoTeamListPage',
		method: 'GET',
		auth : true
	},
	//查看订单详情
	getOrderDetail: {
		url: '/recycle-admin/applet/order/getOrderDetail',
		method: 'GET',
		auth : true
	},
	
	//查看最近回收质检报告
	getQualityReport: {
		url: '/recycle-admin/applet/index/getQualityReport',
		method: 'GET',
		auth : false
	},
	// 回收规则
	getGoodsRecycleRule: {
		url: '/recycle-admin/applet/class/getGoodsRecycleRule',
		method: 'GET',
		auth : false
	},
	// 获取用户订单列表
	getOrderListPage: {
		url: '/recycle-admin/applet/order/getOrderListPage',
		method: 'GET',
		auth : true
	},
	// 查询最近回收商品
	getRecentGoodsList: {
		url: '/recycle-admin/applet/index/getRecentGoodsList',
		method: 'GET',
		auth : false
	},
	// 最近回收
	getQualityReport: {
		url: '/recycle-admin/applet/index/getQualityReport',
		method: 'GET',
		auth : false,
	},
	// 1.根据id获取对应商品列表
	getGoodsBrandList: {
		url: '/recycle-admin/applet/class/getGoodsBrandList',
		method: 'GET',
		auth : false
	},
	// 2.根据分类标识获取分类商品列表带分页
	getClassGoodsList: {
		url: '/recycle-admin/applet/class/getClassGoodsList',
		method: 'GET',
		auth : false
	},
	// 获取我的礼品订单
	getPricePreviewClassList: {
		url: '/recycle-admin/applet/class/getPricePreviewClassList',
		method: 'GET',
		auth : false,
	},
	// 获取我的礼品订单详情
	getAreaList: {
		url: '/recycle-admin/applet/index/getAreaList',
		method: 'GET',
		auth : true,
	
	},
	getCumulativeRecoveryCount: {
		url: '/recycle-admin/applet/order/getCumulativeRecoveryCount',
		method: 'GET',
		auth : true,
	},
	getcheckoutReasons: {
		url: '/recycle-admin/applet/order/getcheckoutReasons',
		method: 'GET',
		auth: true,
	},
	submitQualityInfo: {
		url: '/recycle-admin/applet/info_team_order/submitQualityInfo',
		method: 'POST',
		auth: true,
	},
	cancelOrder: {
		url: '/recycle-admin/applet/order/cancelOrder',
		method: 'POST',
		auth: true,
	},
	getGoodsDetail: {
		url: '/recycle-admin/applet/class/getGoodsDetail',
		method: 'GET',
		auth: true,
	},
	
	orderStatusStatistics: {
		url: '/recycle-admin/applet/info_team_order/orderStatusStatistics',
		method: 'POST',
		auth: true,
	},
	income: {
		url: '/recycle-admin/applet/money/income',
		method: 'POST',
		auth: true,
	},
	adminOrderBrowseRecord: {
		url: '/recycle-admin/applet/info_team_order/adminOrderBrowseRecord',
		method: 'GET',
		auth: true,
	},
	getPromotionCount: {
		url: '/recycle-admin/applet/promotion/getPromotionCount',
		method: 'GET',
		auth: true,
	},
	queryTrace: {
		url: '/recycle-admin/applet/order/queryTrace',
		method: 'GET',
		auth: true,
	},
	
}

export default api